openapi: 3.0.0
info:
    version: "1.122.1.1"
    title: ServiciosCGES
    description: >
        <h3>Operaciones Extendidas</h3>
        <p>Este apartado de la definición recoge las operaciones con otras entidades distintas a las solicitudes:</p>
        <ul>
            <li>Consultas y operaciones con soluciones</li>
            <li>Consultas y operaciones con agendas</li>
            <li>Consultas y operaciones con encuestas</li>
            <li>Consultas y operaciones con suscripciones</li>
            <li>Consultas y operaciones con notificaciones de impacto</li>
            <li>Operaciones extendidas que incluyen, entre otras, búsqueda avanzada, operaciones por lotes, conversor de teléfonos corporativos y mensajería.</li>
        </ul>
        <p>
        Algunos apartados incluyen las consultas de tablas maestras necesarias para la operativa.<br/>
        Para el resto de consultas de tablas maestras necesarias, puede consultar el apartado de definición destinado a tal fin.<br/>
        <br/>
        Incluye también los métodos para la generación de los tokens que se usan para operar con la API.
        </p>
        <br/><br/><div id="load_options"></div>
servers:
    - url: http://servicioscges.pre.sas.junta-andalucia.es/servicioscges/api/v1/sistemasExternos
      description: Servidor de Preproducción (acceso por intranet)
    - url: 'https://ws001.sspa.juntadeandalucia.es/servicioscges/api/v1/sistemasExternos'
      description: Servidor de Producción (acceso por internet)
    - url: https://servicioscges.sas.junta-andalucia.es/servicioscges/api/v1/sistemasExternos
      description: Servidor de Producción (acceso por intranet)
paths:
    
    #Acceso al sistema mediante tokens
    
    /accesos/token:
        $ref: './paths_accesos_token.yaml'
    /accesos/jwt/keys:
        $ref: './paths_accesos_jwt_keys.yaml'
     
    #Consultas y operaciones con soluciones
    
    /cges/knowledgeitems/:
        $ref: './paths_cges_knowledgeitems.yaml'
    /cges/knowledgeitems/{idKI}:
        $ref: './paths_cges_knowledgeitems_id.yaml'
    /cges/knowledgeitems/{idKI}/actividades:
        $ref: './paths_cges_knowledgeitems_id_actividades.yaml'
    /cges/knowledgeitems/{idKI}/categorias:
        $ref: './paths_cges_knowledgeitems_id_categorias.yaml'
    /cges/knowledgeitems/{idKI}/eventos:
        $ref: './paths_cges_knowledgeitems_id_eventos.yaml'
    /cges/knowledgeitems/{idKI}/estado:
        $ref: './paths_cges_knowledgeitems_id_estado.yaml'
    /cges/knowledgeitems/{idKI}/suscriptores:
        $ref: './paths_cges_knowledgeitems_id_suscriptores.yaml'
    /cges/knowledgeitems/{idKI}/valoraciones:
        $ref: './paths_cges_knowledgeitems_id_valoraciones.yaml'
    /cges/knowledgeitems/{idKI}/visitas:
        $ref: './paths_cges_knowledgeitems_id_visitas.yaml'
    /cges/knowledgeitems/actividades/tipos:
        $ref: './paths_cges_knowledgeitems_actividades_tipos.yaml'
    /cges/knowledgeitems/actuaciones/tipos:
        $ref: './paths_cges_knowledgeitems_actuaciones_tipos.yaml'
    /cges/knowledgeitems/categorias:
        $ref: './paths_cges_knowledgeitems_categorias.yaml'
    /cges/knowledgeitems/estados:
        $ref: './paths_cges_knowledgeitems_estados.yaml'
    /cges/knowledgeitems/imagenes:
        $ref: './paths_cges_knowledgeitems_imagenes.yaml'
    /cges/knowledgeitems/organizaciones:
        $ref: './paths_cges_knowledgeitems_organizaciones.yaml'
    /cges/knowledgeitems/publicos:
        $ref: './paths_cges_knowledgeitems_publicos.yaml'
    /cges/knowledgeitems/tipos:
        $ref: './paths_cges_knowledgeitems_tipos.yaml'
    /cges/solicitudes/{idSolicitud}/knowledgeitems:
        $ref: './paths_cges_solicitudes_id_knowledgeitems.yaml'
    /cges/knowledgeitems/simileco/colecciones/{idColeccion}/buscar:
        $ref: './paths_cges_knowledgeitems_simileco_colecciones_id_buscar.yaml'
    /cges/knowledgeitems/simileco/colecciones/{idColeccion}/documentos:
        $ref: './paths_cges_knowledgeitems_simileco_colecciones_id_documentos.yaml'
        
    #Consultas y operaciones con agendas
    
    /cges/agendas/:
        $ref: './paths_cges_agendas.yaml'
    /cges/agendas/{idAgenda}:
        $ref: './paths_cges_agendas_id.yaml'
    /cges/agendas/{idAgenda}/configuraciones/fechas:
        $ref: './paths_cges_agendas_id_configuraciones_fechas.yaml'
    /cges/agendas/{idAgenda}/configuraciones/horas:
        $ref: './paths_cges_agendas_id_configuraciones_horas.yaml'
    /cges/agendas/{idAgenda}/configuraciones:
        $ref: './paths_cges_agendas_id_configuraciones.yaml'
    /cges/agendas/{idAgenda}/configuraciones/{idConfiguracion}:
        $ref: './paths_cges_agendas_id_configuraciones_id.yaml'
    /cges/agendas/{idAgenda}/configuraciones/{idConfiguracion}/tramos:
        $ref: './paths_cges_agendas_id_configuraciones_id_tramos.yaml'
    /cges/agendas/{idAgenda}/configuraciones/{idConfiguracion}/tramos/{idTramo}:
        $ref: './paths_cges_agendas_id_configuraciones_id_tramos_id.yaml'
    /cges/agendas/dias:
        $ref: './paths_cges_agendas_dias.yaml'
    /cges/agendas/{idAgenda}/fechasdeshabilitadas:
        $ref: './paths_cges_agendas_id_fechas_deshabilitadas.yaml'
    /cges/agendas/{idAgenda}/fechasdeshabilitadas/{idFechaDeshabilitada}:
        $ref: './paths_cges_agendas_id_fechas_deshabilitadas_id.yaml'
    /cges/agendas/{idAgenda}/reservas:
        $ref: './paths_cges_agendas_id_reservas.yaml'
    /cges/agendas/grupos:
        $ref: './paths_cges_agendas_grupos.yaml'
    /cges/agendas/grupos/{idGrupoAgenda}:
        $ref: './paths_cges_agendas_grupos_id.yaml'
    /cges/agendas/grupos/{idGrupoAgenda}/fechasdeshabilitadas:
        $ref: './paths_cges_agendas_grupos_id_fechas_deshabilitadas.yaml'
    /cges/agendas/grupos/{idGrupoAgenda}/fechasdeshabilitadas/{idFechaDeshabilitada}:
        $ref: './paths_cges_agendas_grupos_id_fechas_deshabilitadas_id.yaml'
        
    #Consultas y operaciones con encuestas y valoraciones
    
    /cges/tablas/encuestas:
        $ref: './paths_cges_encuestas.yaml'
    /cges/solicitudes/{idSolicitud}/encuestas:
        $ref: './paths_cges_solicitudes_id_encuestas.yaml'
    /cges/solicitudes/{idSolicitud}/encuestas/{idEncuesta}:
        $ref: './paths_cges_solicitudes_id_encuestas_id.yaml'
    /cges/valoraciones:
        $ref: './paths_cges_valoraciones.yaml'
  
    #Consultas y operaciones con suscripciones
    /cges/suscriptores/solicitudes:
        $ref: './paths_cges_suscriptores_solicitudes.yaml'
    /cges/suscriptores/solicitudes/actividades/tipos:
        $ref: './paths_cges_suscriptores_actividades_tipos.yaml'
    /cges/suscriptores/solicitudes/actividades/tipos/configuraciones:
        $ref: './paths_cges_suscriptores_actividades_tipos_configuraciones.yaml'
    /cges/suscriptores/solicitudes/actividades/tipos/{idTipo}/configuraciones:
        $ref: './paths_cges_suscriptores_actividades_tipos_id_configuraciones.yaml'
    /cges/suscriptores/knowledgeitems:
        $ref: './paths_cges_suscriptores_knowledgeitems.yaml'
        
    #Consultas y operaciones con notificaciones de impacto
    /cges/notif/agrupaciones:
       $ref: './paths_cges_notif_agrupaciones.yaml'
    /cges/notif/agrupaciones/aplicaciones:
       $ref: './paths_cges_notif_agrupaciones_aplicaciones.yaml'
    /cges/notif/suscripciones/agrupaciones/{uuidAgrupacion}:
       $ref: './paths_cges_notif_suscripciones_agrupaciones_id.yaml'
    /cges/notif/suscripciones/agrupaciones/{uuidAgrupacion}/aplicaciones/{uuidAplicacion}:
       $ref: './paths_cges_notif_suscripciones_agrupaciones_id_aplicaciones_id.yaml'
    /cges/notif/suscripciones/suscriptores:
       $ref: './paths_cges_notif_suscripciones_suscriptores.yaml'
       
    #Consultas y operaciones con peticiones periódicas  
    /cges/tablas/configuraciones/periodicidades/estados:
        $ref: './paths_cges_tablas_configuraciones_periodicidades_estados.yaml'
    /cges/tablas/configuraciones/periodicidades/frecuencias:
        $ref: './paths_cges_tablas_configuraciones_periodicidades_frecuencias.yaml'
    /cges/solicitudes/configuraciones/periodicidades:
        $ref: './paths_cges_solicitudes_configuraciones_periodicidades.yaml'
    /cges/solicitudes/configuraciones/periodicidades/(id):
        $ref: './paths_cges_solicitudes_configuraciones_periodicidades_id.yaml'
    /cges/solicitudes/configuraciones/periodicidades/(id)/ejecutar:
        $ref: './paths_cges_solicitudes_configuraciones_periodicidades_id_ejecutar.yaml'
  
    #Operaciones extendidas
    
    /cges/_batch:
        $ref: './paths_cges_batch.yaml'   
    /cges/_buscar/{entidad}:    
        $ref: './paths_cges_buscar_entidad.yaml'     
    /cges/mensajes/jms:    
        $ref: './paths_cges_mensajes_jms.yaml'
    /cges/global/health:    
        $ref: './paths_cges_global_health.yaml'
    /cges/global/mapas:    
        $ref: './paths_cges_global_mapas.yaml'
    /cges/global/permisos:
        $ref: './paths_cges_global_permisos.yaml'
    /cges/global/planificaciones/calendarios/fichero:
        $ref: './paths_cges_global_planificaciones_calendarios_fichero.yaml'
    /cges/global/planificaciones/calendarios/{uid}/fichero:
        $ref: './paths_cges_global_planificaciones_calendarios_id_fichero.yaml'     

